Wooxy API v.3.0

Email validation paginate

This method allows retrieve the total number of validated contacts based on specific parameters within a defined timeframe.

Request

POST
https://api.wooxy.com/v3/validator/email/paginate

IMPORTANT: Do not send more than 10 concurrent API requests.

Body Example

                                        {
            "taskId": "taskId",
            "dateFrom": "dateFrom",
            "dateTo": "dateTo",
            "email": "validatedEmail",
            "offset": 1,
            "limit": 100,
            "source": "validationSource",
            "status": "validationStatus",
}
                                    

Parameters

Title Type Default Description

taskId

optional
string taskId

Validation task identifier. Important! Enable only when emails validated on platform(manually, file import, contact list or segment validation).

dateFrom

optional
string dateFrom

Date from which start paginate validations.

dateTo

optional
string dateTo

Date to which paginate validations.

email

optional
string email

The validated email.

offset

required
integer

Integer shift.

limit

required
integer

Integer limit.

source

optional
string source

Source of method how email added for validation.

status

optional
string status

Status of validation.

Response

                                        {
    "result": true,
    "data": {
      "items": [
        {
          "id": validationId,
          "email": "validatedEmail",
          "stage": "validationProcessStatus",
          "status": "validatedEmailStatus",
          "comment": "validationComment",
          "source": "validationSource",
          "taskId": "validationTaskId",
          "createdAt": "validationTime"
        }
      ],
      "meta": {
        "count": 1,
        "limit": 100,
        "offset": 1,
        "total": 2
      }
    }
  },
                                    

Parameters

Title Type Description

result

boolean

The value indicates that the paginate was successful.

data

object

The data parameter represents a structured object containing comprehensive validation information and attributes.

data.items

array

Array with all paginated data.

data.items.id

integer

The identifier of validation.

data.items.email

string

The validated email.

data.items.stage

string

Status of validation process.

data.items.status

string

Status of validated email.

data.items.comment

string

Result comment of email validation.

data.items.source

string

Source of method how email added for validation.

data.items.taskId

string

Task identifier enable when validated by(manually, file import, contact list or segment validation).

data.items.createdAt

string

Date when email validated.

data.meta

object

Object containing numeric offset data and the total number of validated emails.

data.meta.count

integer

Number of emails.

data.meta.limit

integer

Integer limit.

data.meta.offset

integer

Integer shift.

data.meta.total

integer

Total number of validations.

Method Errors

                                        {
       "result":false,
       "errors":[
          "Error description text"
       ]
}
                                    
Error

"Argument taskId must be a string"

"Argument taskId must be a non-empty string"

"Argument dateFrom must be a valid datetime string"

"Argument dateTo must be a valid datetime string"

"Argument email must be a string"

"Argument email must be a non-empty string"

"Argument offset must be an integer"

"Argument offset must be greater than or equal to 0"

"Argument limit must be an integer"

"Argument limit must be less or equal to 100"

"Argument limit must be greater than or equal to 1"

"Argument source must be one of api|form|file|list|segment"

"Argument status must be one of valid|invalid|risk"

"Argument dateFrom was invalid"

"Argument dateTo was invalid"

"Both arguments dateFrom and dateTo are required"

"Parameter dateFrom must be less or equal to dateTo"

"Invalid authorization token!"

"Internal server error"

"Bad Request","no matches found for access token {accessToken}"

"user {id} not enabled","no data found for key {userId}","access token check failed for key/secret $key/$accessToken","Argument {argument} required"

Code Examples

PHP
                <?php

$accessToken = 'YOUR_API_KEY';
$url = 'https://api.wooxy.com/v3/validator/email/paginate';

$body = json_encode([
    'taskId' => 'taskId',
    'dateFrom' => 'dateFrom',
    'dateTo' => 'dateTo',
    'email' => 'validatedEmail',
    'offset' => 1,
    'limit' => 100,
    'source' => 'validationSource',
    'status' => 'validationStatus',
]);

$ch = curl_init($url);
curl_setopt($ch, CURLOPT_CUSTOMREQUEST, "POST");
curl_setopt($ch, CURLOPT_HTTP_VERSION, CURL_HTTP_VERSION_1_1);
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, false);
curl_setopt($ch, CURLOPT_POSTFIELDS, $body);
curl_setopt($ch, CURLOPT_HTTPHEADER, [
    "Access-Token: $accessToken",
    'Content-Type: application/json',
    'Content-Length: ' . strlen($body),
]);

$result = curl_exec($ch);
if ($result === false) {
    echo 'cURL error: ' . curl_error($ch) . PHP_EOL;
} else {
    echo $result . PHP_EOL;
}
curl_close($ch);

?>